org.eclipse.net4j.util.cache

## Interface ICacheRegistration

- All Superinterfaces:
    ICacheProbe
  All Known Implementing Classes:
    CacheRegistration

      public interface ICacheRegistration
      extends ICacheProbe

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()`
    `ICache` | `getCache()`
    `ICacheMonitor` | `getCacheMonitor()`

    - ### Methods inherited from interface org.eclipse.net4j.util.cache.ICacheProbe

      `elementCached, elementEvicted, elementReconstructed, getAverageElementSize, getCacheSize, getElementCount, getReconstructionCost, isDisposed`

- - ### Method Detail

    - #### getCacheMonitor

          ICacheMonitor getCacheMonitor()

    - #### getCache

          ICache getCache()

    - #### dispose

          void dispose()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html